include	clib.inc
include	wchar.inc

PPROC	wcputs, wc:dword, flag:word, count:word, string:dword
	mov	ax,word ptr string
	test	ax,ax
	jz	wcputs_end
	mov	dx,word ptr string+2
	les	bx,wc
	mov	ch,byte ptr flag
	mov	cl,byte ptr count
	call	@wcputs
    wcputs_end:
	ret
PEND	wcputs

	END